%define __os_install_post       true

Summary: Artwork for Asianux default look-and-feel
Name: asianux-artwork
Version: 2.0
Release: 17AX
URL: http://www.asianux-linux.com
Group: User Interface/Desktops
License: GPL
BuildRoot: %{_tmppath}/%{name}-root
Conflicts: qt < 3.0.4-11
Conflicts: gtk-engines < 0.11-13
Conflicts: kdebase <= 3.0.2-6
# we don't want to require gtk/qt
Autoreq: 0
BuildRequires: gtk2-devel >= 2.0.3-3
BuildRequires: qt-devel >= 3.0.5
Requires: kdebase
Requires: kdeutils
Requires: ghostscript
Source0: %{name}-%{version}.tar.gz
Source1: lsworkgroups
Source2: crystalsvg.tgz
Source3: applnk.tgz
Source4: tips
%description
This is a Theme for Asianux.

%prep
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/
%setup -q
%build
cp -aR  usr $RPM_BUILD_ROOT/
mkdir -p $RPM_BUILD_ROOT/root/   $RPM_BUILD_ROOT/etc/skel
cp -r config/.gtkrc $RPM_BUILD_ROOT/root/.gtkrc-2.0
%ifarch x86_64
	rm -f config/.qt/qtrc
	rm -f config/.kde/share/config/kcmnspluginrc
	mv config/.qt/qtrc-x86_64 config/.qt/qtrc
	mv config/.kde/share/config/kcmnspluginrc-x86_64 config/.kde/share/config/kcmnspluginrc
%else
	rm -f config/.qt/qtrc-x86_64
	rm -f config/.kde/share/config/kcmnspluginrc-x86_64
%endif
cp -r config/.qt $RPM_BUILD_ROOT/root/
cp -r config/.kde $RPM_BUILD_ROOT/root/
cp -r config/.qt $RPM_BUILD_ROOT/etc/skel
cp -r config/.Xresources $RPM_BUILD_ROOT/etc/skel
cp -r config/.gtkrc $RPM_BUILD_ROOT/etc/skel/.gtkrc-2.0
cp -r config/.kde $RPM_BUILD_ROOT/etc/skel
mv -f mycomputer/ $RPM_BUILD_ROOT/
cp -aR  Desktop "$RPM_BUILD_ROOT"/root/
cp -R Desktop "$RPM_BUILD_ROOT"/etc/skel/
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
cp -f kdmtitle-ax.png  $RPM_BUILD_ROOT/etc/sysconfig
mkdir -p $RPM_BUILD_ROOT/usr/share/wallpapers
cp -f background-ax.jpg $RPM_BUILD_ROOT/usr/share/wallpapers
cp -f background-ax-2.jpg $RPM_BUILD_ROOT/usr/share/wallpapers
cp -f background-ax-3.jpg $RPM_BUILD_ROOT/usr/share/wallpapers

mkdir -p $RPM_BUILD_ROOT/usr/bin
cp -r %{SOURCE1} $RPM_BUILD_ROOT/usr/bin
chmod +x $RPM_BUILD_ROOT/usr/bin/lsworkgroups
mkdir -p $RPM_BUILD_ROOT/usr/share/apps/kdeprint
mkdir -p $RPM_BUILD_ROOT/usr/share
mkdir -p $RPM_BUILD_ROOT/usr/share/desktop-directories
tar zxf %{SOURCE2} -C $RPM_BUILD_ROOT/usr/share/icons
mkdir -p $RPM_BUILD_ROOT/usr/share/apps/konqueror/profiles
cp print-fix/printconfigview $RPM_BUILD_ROOT/usr/share/apps/konqueror/profiles
mkdir -p $RPM_BUILD_ROOT/usr/share/apps/kontact
cp -r %{SOURCE4} $RPM_BUILD_ROOT/usr/share/apps/kontact

mkdir -p $RPM_BUILD_ROOT/usr/share/
tar zxf %{SOURCE3} -C $RPM_BUILD_ROOT/usr/share/
pushd $RPM_BUILD_ROOT/root/Desktop
ln -fs /mycomputer .
popd
pushd $RPM_BUILD_ROOT/etc/skel/Desktop
ln -fs /mycomputer .
popd
%post
chmod 755 -R /usr/share/config/* 

ln -fs /usr/share/wallpapers/background-ax.jpg /usr/share/wallpapers/background.jpg
ln -fs /etc/sysconfig/kdmtitle-ax.png /etc/sysconfig/kdmtitle.png
ln -fs /usr/lib/rfmin/data/rfmin_logo-ax.png /usr/lib/rfmin/data/rfmin_logo.png
ln -fs /usr/share/apps/kicker/pics/kside-ax.png /usr/share/apps/kicker/pics/kside.png
ln -fs /usr/share/apps/ksmserver/pics/shutdownkonq-ax.png /usr/share/apps/ksmserver/pics/shutdownkonq.png
%preun

%files
%defattr(-,root,root)
%ifarch ppc
%exclude /usr/share/applnk/Applications/Internet/PoseidonPPP.desktop
%endif
/
%attr(750,root,root) /root

%clean

%changelog
* Mon Nov 27 2006 MORIYAMA Masayuki <moriyama@miraclelinux.com> 2.0-17AX
- remove /etc/skel/.vimrc

* Wed Aug 03 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-16AX
- add documents of cgi, data, fish, mac for KDE help center

* Wed Jul 27 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-15AX
- remove some entry in KDE help center which have no help

* Thu Jul 07 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-14AX
- add kolourpaint and ksnapshot menu
- disable Utilities directory in KDE menu

* Tue Jun 28 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-13AX
- modify the document of KDE FAQ(Simplified Chinese version)

* Mon Jun 27 2005 Nam, Kwonwoo <kwnam@haansoft.com> 2.0-12AX
- tarnslated desktop files into Korean.

* Wed Jun 22 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-11AX
- disable some directories in KDE menu configuration tool
- and open with tool

* Thu Jun 09 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-10AX
- add some translation
- use different config file for x86_64

* Wed Jun 08 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-9AX
- translate some files for Traditional Chinese and Japanese
- change the default wallpaper

* Tue Jun 7 2005 Nam, Kwonwoo<kwnam@haansoftlinux.com> 2.0-8AX
- tarnslated *.desktop files in Korean.

* Mon Jun 6 2005 Jun YOSHIDA<jun@miraclelinux.com> 2.0-7AX
- tarnslated 'CtrlPanel' in Japanese.

=======
* Thu Jun  2 2005 Shiro Yamada <shiro@miraclelinux.com> 2.0-6AX
- update Kontact link translation

* Tue May 31 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-5AX
- change the /root directory to the correct permission

* Wed May 25 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-4AX
- add virtual desktop desktop file
- remove PoseidonPPP.desktop in ppc

* Fri Apr 15 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-3AX
- add icon for kghostview
- remove the Dialer menu in System
- change the name from Trash to Recycle Bin
- change the directory name from mydocument to mydocuments in /usr/share/apps/konqsidebartng/virtual_folders/services/mydocuments.desktop

* Thu Apr 07 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-2AX
- change some icons, menues and pictures

* Thu Mar 22 2005 Hua Jie <jiehua@redflag-linux.com>
- rebuild for Asianux
